Bug 1294960 - sscep-0.6.1-1.20151228git68e354a not built with $RPM_OPT/LD_FLAGS, smp_mflags
sscep-0.6.1-1.20151228git68e354a not built with $RPM_OPT/LD_FLAGS, smp_mflags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sscep (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thorsten Scherf
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2015-12-31 04:42 EST by Ville Skyttä
Modified: 2017-08-14 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: sscep-0.6.1-5.20160525git2052ee1.el7 sscep-0.6.1-5.20160525git2052ee1.fc26 sscep-0.6.1-5.20160525git2052ee1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 17:48:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2015-12-31 04:42:16 EST
sscep-0.6.1-1.20151228git68e354a not built with $RPM_OPT_FLAGS, $RPM_LD_FLAGS, nor %smp_mflags. Fix:

diff --git a/sscep.spec b/sscep.spec
index 45c68aa..d589f07 100644
--- a/sscep.spec
+++ b/sscep.spec
@@ -20,4 +20,3 @@ Simple SCEP client with modifications for engine support & more
 %build
-#make CFLAGS="%{optflags}"
-make
+%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"
Comment 1 Jan Kurik 2016-02-24 09:11:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Ville Skyttä 2016-07-01 08:23:58 EDT
Ping?
Comment 3 Fedora End Of Life 2017-07-25 15:42:25 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Ville Skyttä 2017-07-26 09:32:22 EDT
Thorsten: ping? Issue is still present in sscep-0.6.1-4.20160525git2052ee1.fc26. Is this package being maintained?
Comment 5 Thorsten Scherf 2017-07-26 09:54:52 EDT
What is the problem with your build?

It works for me:
https://koji.fedoraproject.org/koji/buildinfo?buildID=862952
Comment 6 Ville Skyttä 2017-07-26 09:59:13 EDT
(In reply to Thorsten Scherf from comment #5)
> What is the problem with your build?

It's not "my" build, it's the Fedora official build. It does not use $RPM_OPT_FLAGS or $RPM_LD_FLAGS, please see the initial comment and the fix.

> It works for me:
> https://koji.fedoraproject.org/koji/buildinfo?buildID=862952

For some value of "works". It shows that the needed compiler and linker flags are not being used, from https://kojipkgs.fedoraproject.org//packages/sscep/0.6.1/4.20160525git2052ee1.fc26/data/logs/x86_64/build.log:

gcc -Wall -O  -I /usr/lib64//include    -c -o sscep.o sscep.c

This gcc invocation should include things like "-Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong" etc.
Comment 7 Thorsten Scherf 2017-07-26 10:17:51 EDT
(In reply to Ville Skyttä from comment #6)
> (In reply to Thorsten Scherf from comment #5)
> > What is the problem with your build?
> 
> It's not "my" build, it's the Fedora official build. It does not use
> $RPM_OPT_FLAGS or $RPM_LD_FLAGS, please see the initial comment and the fix.
> 
> > It works for me:
> > https://koji.fedoraproject.org/koji/buildinfo?buildID=862952
> 
> For some value of "works". It shows that the needed compiler and linker
> flags are not being used, from
> https://kojipkgs.fedoraproject.org//packages/sscep/0.6.1/4.
> 20160525git2052ee1.fc26/data/logs/x86_64/build.log:
> 
> gcc -Wall -O  -I /usr/lib64//include    -c -o sscep.o sscep.c
> 
> This gcc invocation should include things like "-Werror=format-security
> -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong" etc.

Ah. Good catch. Thanks for the heads-up. I will build a new package shortly.
Comment 8 Thorsten Scherf 2017-07-26 10:39:12 EDT
Here is the build for master:

https://koji.fedoraproject.org/koji/taskinfo?taskID=20763670

I will take care about other branches once the build for all arches was successful.
Comment 9 Fedora Update System 2017-07-26 10:54:00 EDT
sscep-0.6.1-5.20160525git2052ee1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5fc805283
Comment 10 Fedora Update System 2017-07-26 10:54:09 EDT
sscep-0.6.1-5.20160525git2052ee1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b50572c103
Comment 11 Fedora Update System 2017-07-26 19:17:40 EDT
sscep-0.6.1-5.20160525git2052ee1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b50572c103
Comment 12 Fedora Update System 2017-07-26 20:23:59 EDT
sscep-0.6.1-5.20160525git2052ee1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-56b8f257af
Comment 13 Fedora Update System 2017-07-26 22:53:09 EDT
sscep-0.6.1-5.20160525git2052ee1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5fc805283
Comment 14 Fedora Update System 2017-08-14 17:48:28 EDT
sscep-0.6.1-5.20160525git2052ee1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-08-14 17:50:14 EDT
sscep-0.6.1-5.20160525git2052ee1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-08-14 22:51:51 EDT
sscep-0.6.1-5.20160525git2052ee1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.